include:
  - project: coscine/tools/gitlab-ci-templates
    file: 
      - /dotnet.yml

stages:
  - build
  - test
  - publish

variables:
  DOTNET_MAIN_PROJECT_FOLDER: NotificationConfiguration

build-branch:
  extends: .build-branch

build-nuget-release:
  extends: .build-nuget-release

test:
  extends: .test

publish-branch-prerelease:
  extends: .publish-branch-prerelease

publish-gitlab-release:
  extends: .publish-gitlab-release

publish-master-release:
  extends: .publish-master-release

publish-nuget-release:
  extends: .publish-nuget-release
